from flask import Flask, request, render_template, redirect
from flask_migrate import Migrate

from werkzeug.exceptions import BadRequest
from model import *
from search import search

import os

app = Flask(__name__)
migrate = Migrate(app,db)
app.config.from_object('config')
db.init_app(app)

app.config['SECRET_KEY'] = os.environ["FLAG"]

@app.route('/', methods=['GET'])
def main():
    err = request.args.get('error', None)
    if err is not None:
        return render_template('index.html', error=err)
    else:
        return render_template('index.html')


@app.route('/', methods=['POST'])
def _search():
    q = request.form.get("query", None)
    print(q)
    if q is not None:
        try:
            r = search(q)
        except Exception as e:
            return redirect(f'/?error={repr(e)}')

        result = r(db.session()).all()
        out = []
        for re in result:
            out.append((re.name, re.organization.name))
        return render_template('index.html', results=out)
    else:
        raise BadRequest("co Pan robisz Panie!!1")

if __name__ == "__main__":
    app.run()
