from flask_sqlalchemy import SQLAlchemy
from sqlalchemy.orm import relationship

db = SQLAlchemy(session_options={
    "enable_baked_queries": True
})

class BadGuy(db.Model):
    __tablename__ = 'badguy'
    id = db.Column(db.Integer, primary_key=True, autoincrement=True)

    name = db.Column(db.String, unique=True)
    organization_id = db.Column(db.Integer, db.ForeignKey('organization.id'))


class Organization(db.Model):
    __tablename__ = 'organization'
    id = db.Column(db.Integer, primary_key=True, autoincrement=True)
    badguys = relationship('BadGuy', backref='organization')

    name = db.Column(db.String, unique=True)

